cURL
curl --request POST \ --url https://api.starfishdata.ai/v1/jobStatus \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "jobId": "<string>", "projectId": "<string>" } '
{ "jobId": "<string>", "status": "RUNNING", "type": "<string>", "success": true }
Retrieves the current status of a job
Documentation IndexFetch the complete documentation index at: https://docs.starfishdata.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.starfishdata.ai/llms.txt
Use this file to discover all available pages before exploring further.
ID of the job to check status for
ID of the project
Successfully retrieved job status
ID of the job
Current status of the job
RUNNING
COMPLETE
FAILED
Type of the job
Whether the request was successful